#ifndef _video_h
#define _video_h

/* PC1450 - A calculator emulator
 * 1996 - 2001 Yves Maingoy
 * ymaingoy@free.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * Ajout du 24/06/2008 : ifndef/define/endif
 */

/*  
    video.h
    definitions pour video.c
*/

#define WHIDTHBMP (602+6)
#define HEIGHTBMP (222+3)


extern void RefreshSpecial(HWND hWnd);
extern void PutByte(HWND hWnd,int X, int Y, unsigned char byte); // ok
extern void PrintScreen(HWND hWnd, int Y,unsigned char * buffer);
extern void ClrScreen(HWND hWnd, int CurrentY);
extern void AfficheEcran(HWND hWnd);
extern int  ToucheDown(HWND hWnd, POINTS Cursor, RECT* rc);
extern void ToucheUp(HWND hWnd, RECT rc);

extern HWND gblhWnd; /* variable globabe contenant l'instance de la fenetre actuelle */

extern int CurrentY;
extern  int ScreenON; /* !=0 si Screen ON */

HBITMAP hPixelsBitmap; // la table des pixels ecrans
BITMAP  bmPixels;      // bitmap de la table des pixels
HBITMAP hEcranBitmap;  // handle de l'ecran
BITMAP  bmEcran;       // bitmap de l'ecran


// handles used for the various bitmaps

HBITMAP hPattern1;
HBITMAP hPattern2;
HBITMAP hPattern3;
HBITMAP hPattern4;
HBITMAP hBitmap1;
HBITMAP hBitmap2;
HBITMAP hBitmap3;
HBITMAP hMenuBitmap1;
HBITMAP hMenuBitmap2;
HBITMAP hMenuBitmap3;
HBITMAP hBitmap;
HBITMAP hOldBitmap;

HBRUSH hBrush;                          // brush handle
int fStretchMode;                       // type of stretch mode to use

HDC hDC;                                // handle to device context
HDC hMemoryDC;                          // handle to memory device context
BITMAP Bitmap;                          // bitmap structure
BITMAP PixelBlanc;                      // bitmap structure


#endif
